import Header from "./Header";
import Footer from "./Footer";

function BasicWindow({
  content,
  buttons,
}: {
  content: React.ReactNode;
  buttons: React.ReactNode;
}): JSX.Element {
  return (
    <div className="font-sans flex flex-col h-screen bg-white border-2 border-black overflow-auto pt-[110px]">
      <Header />
      <div className="flex flex-col items-center flex-grow">{content}</div>
      <Footer>{buttons}</Footer>
    </div>
  );
}

export default BasicWindow;
