import { Link, useLocation, useParams } from "react-router-dom";
import BasicWindow from "../../Components/BasicWindow";
import BackButton from "../../Components/BackButton";

function UserProjectPage(): JSX.Element {
  const { projectName } = useParams();

  const content = (
    <>
      <h1 className="font-bold text-[30px] mb-[20px]">{useLocation().state}</h1>
      <div className="border-4 border-black bg-white flex flex-col items-center justify-center min-h-[65vh] h-fit w-[50vw] rounded-3xl content-center overflow-scroll space-y-[10vh] p-[30px]">
        <Link to={`/projectPage/${projectName}`}>
          <h1 className="font-bold underline text-[30px] cursor-pointer">
            Your Time Reports
          </h1>
        </Link>
        <Link to={`/newTimeReport/${projectName}`}>
          <h1 className="font-bold underline text-[30px] cursor-pointer">
            New Time Report
          </h1>
        </Link>
      </div>
    </>
  );

  const buttons = (
    <>
      <BackButton />
    </>
  );

  return <BasicWindow content={content} buttons={buttons} />;
}
export default UserProjectPage;
